-- MySQL dump 10.10
--
CREATE DATABASE IF NOT EXISTS `seagull`;
USE `seagull`

CREATE TABLE IF NOT EXISTS `module` (
    `module_id` int(11) NOT NULL default '0',
    `is_configurable` smallint(1) default NULL,
    `name` varchar(255) default NULL,
    `title` varchar(255) default NULL,
    `description` text,
    `admin_uri` varchar(255) default NULL,
    `icon` varchar(255) default NULL,
    `maintainers` text,
    `version` varchar(8) default NULL,
    `license` varchar(16) default NULL,
    `state` varchar(8) default NULL,
    PRIMARY KEY  (`module_id`)
) DEFAULT CHARSET=utf8;

insert into module values( 404, 1, 'opinterface', 'OpMon Web Interface', 'OpMon Web Interface', NULL, NULL, 'OpServices', NULL, 'OTHER', 'alpha');

--
-- Shortcut Links
--

CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE IF NOT EXISTS `interface_shortcut_names` (
  `id` int(11) NOT NULL auto_increment,
  `shortcut_name` varchar(64) NOT NULL,
  PRIMARY KEY(`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (1,'statusgrid');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (2,'extinfo_host');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (3,'extinfo_service');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (4,'extinfo_hostgroup');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (5,'extinfo_servicegroup');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (6,'statusgrid_notifications');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (7,'systemdashboard');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (8,'opcfg');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (999,'none');

INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (9,'statusgrid_hosts');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (10,'statusgrid_services');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (11,'statusgrid_downtimes');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (12,'statusgrid_comments');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (13,'statusgrid_scheduled_queue');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (14,'statusgrid_notification');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (15,'statusgrid_eventlog');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (16,'traffic');

CREATE TABLE IF NOT EXISTS `interface_shortcut_items` (
  `id` int(11) NOT NULL auto_increment,
  `parent` int(11) NOT NULL default 0,
  `shortcut_id` int(11) NOT NULL,
  `item_name` varchar(80) NOT NULL,
  `link` text default NULL,
  `system` int(11) NOT NULL default '0',
  PRIMARY KEY(`id`),
  UNIQUE (`item_name`,`shortcut_id`)
) DEFAULT CHARSET=utf8;

-- Clean system shortcuts --
-- DELETE FROM interface_shortcut_items WHERE system = 1; --

-- Remove old CMDB shortcut
DELETE FROM `interface_shortcut_items` WHERE `system` = 1 and `item_name` = 'CMDB';
DELETE FROM `interface_shortcut_items` WHERE `system` = 1 and `item_name` = 'Acks OR downtimes';

-- remove old shortcut entry
DELETE FROM `interface_shortcut_items` WHERE `shortcut_id` = 999;
-- None --
INSERT INTO `interface_shortcut_items` ( `parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,999,'(No shortcuts found)',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid --
INSERT INTO `interface_shortcut_items` ( `parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,1,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` ( `parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Services','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|state_type;0|state_type;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Services with ack','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Hosts','/opmon/seagull/www/index.php/statusgrid/action/hosts/?useFilter=1&filterString=current_state;1|current_state;2&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Hosts with ack','/opmon/seagull/www/index.php/statusgrid/action/hosts/?useFilter=1&filterString=current_state;1|current_state;2|problem_has_been_acknowledged;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Pendings',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'All','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;0|scheduled_downtime_depth;0|active_checks_enabled;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Hard State','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;0|scheduled_downtime_depth;0|state_type;1|active_checks_enabled;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Soft State','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;0|scheduled_downtime_depth;0|state_type;0|active_checks_enabled;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Extinfo host --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Notifications','/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Alert history','/opmon/seagull/www/index.php/statusgrid/action/eventlog/?searchPanel=1&filter[data]=HOST ALERT: $USER2$;',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','reportType':1,'selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','timeCutId':'100','selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Extras',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Documentations','/opmon/seagull/www/index.php/opsubscriber/action/docsubscriber/?host_id=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Configurations','/opmon/opcfg/?formTo=HOST_ID:$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Commands',NULL,0) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Ping','/opmon/nettools/nettools.php?host=$USER3$&ping=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Traceroute','/opmon/nettools/nettools.php?host=$USER3$&trace=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Portscan','/opmon/nettools/nettools.php?host=$USER3$&portscan=1&ports=22,23,25,80,443',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Extinfo service --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Host information','/opmon/seagull/www/index.php/extinfo/action/host/host_id/$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER3$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Notifications','/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER3$&filter[service_id]=$USER2$&filter[service_description]=$USER4$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Alert history','/opmon/seagull/www/index.php/statusgrid/action/eventlog/?searchPanel=1&filter[data]=SERVICE ALERT: $USER3$;$USER4$;',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Services Catalog','/opmon/seagull/www/index.php/opsubscriber/action/scatsubscriber/scat_id/$USER5$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','reportType':1,'selectedItens':['$USER1$!$USER2$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':['$USER1$!$USER2$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Extras',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Documentations','/opmon/seagull/www/index.php/opsubscriber/action/docsubscriber/?host_id=$USER1$&service_id=$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Configurations','/opmon/opcfg/?formTo=SERVICE_ID:$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id), link='/opmon/opcfg/?formTo=SERVICE_ID:$USER1$;$USER2$';


-- Extinfo hostgroup --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Host status','/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter[hostgroup_name]=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[hostgroup_name]=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,4,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','reportType':0,'selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,4,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Configurations','/opmon/opcfg/?formTo=HOSTGROUP_ID:$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);


-- Extinfo servicegroup --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,5,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[servicegroup_name]=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,5,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,5,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','reportType':0,'selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,5,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,5,'Configurations','/opmon/opcfg/?formTo=SERVICEGROUP_ID:$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid notifications --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,6,'All','/opmon/seagull/www/index.php/statusgrid/action/notifications/?option=filterNotifications&notifications[string]=&showFilter=1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,6,'Only hosts','/opmon/seagull/www/index.php/statusgrid/action/notifications/?option=filterNotifications&notifications[service][uTable.service_id]=0&showFilter=1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,6,'Only services','/opmon/seagull/www/index.php/statusgrid/action/notifications/?option=filterNotifications&notifications[host][uTable.host_id]=0&showFilter=1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- System dashboard --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Tactical View','/opmon/seagull/www/index.php/systemdashboard/action/index/state/tac',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Overview','/opmon/seagull/www/index.php/systemdashboard/action/index/state/overview',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Incidents','/opmon/seagull/www/index.php/systemdashboard/action/index/state/incidents',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Hosts','/opmon/seagull/www/index.php/systemdashboard/action/index/state/hostgroups',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Services','/opmon/seagull/www/index.php/systemdashboard/action/index/state/servicegroups',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Services Catalog','/opmon/seagull/www/index.php/systemdashboard/action/index/state/scats',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Scheduled downtimes','/opmon/seagull/www/index.php/systemdashboard/action/index/state/scheduleddowntimes',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);


-- OpCfg --
DELETE FROM `interface_shortcut_items` WHERE `shortcut_id` = 8;

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Monitoring",NULL,1,1);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Hosts",'/opmon/opcfg/?formTo=hosts.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Templates",'/opmon/opcfg/?formTo=templates.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_HostGroups",'/opmon/opcfg/?formTo=hostgroups.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_ServiceGroups",'/opmon/opcfg/?formTo=servicegroups.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Commands",'/opmon/opcfg/?formTo=commands.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Alerting",NULL,1,2);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Contacts",'/opmon/opcfg/?formTo=contacts.php',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_ContactGroups",'/opmon/opcfg/?formTo=contactgroups.php',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Baselines",'/opmon/seagull/modules/baseline/templates/app.php?',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_TimePeriods",'/opmon/opcfg/?formTo=timeperiods.php',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Discovery",NULL,1,3);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_DiscoveryImport",'/opmon/seagull/modules/discovery/templates/ext/app.php?',1,3) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Topology",'/opmon/seagull/www/index.php/opdashboard/action/showtopology/discovery/1',1,3) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Tools",NULL,1,4);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Export",'/opmon/opcfg/?formTo=new_export.php',1,4) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Objects Spreadsheet",'/opmon/seagull/www/index.php/opexporter/action/genobjectsxls',1,4) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Advanced",NULL,1,5);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_MainConfig",'/opmon/opcfg/?formTo=main.php',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_CGIConfig",'/opmon/opcfg/?formTo=cgi.php',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Resources",'/opmon/opcfg/?formTo=resources.php',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Timecut",'/opmon/seagull/www/index.php/opsubscriber/action/timecut',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Qualitor integration",'/opmon/opcfg/qualitor/interface/index.php?',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OTRS integration",'/opmon/opcfg/otrs/interface/index.php?',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);


-- Statusgrid - hosts  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,9,'Simple',"/opmon/seagull/www/index.php/statusgrid/action/hosts/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,9,'By group',"/opmon/seagull/www/index.php/statusgrid/action/hostgroups/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,9,'Services Catalog',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?filter[only_scats]=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,9,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'All',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bproblem_has_been_acknowledged%5D=&filter%5Bscheduled_downtime_depth%5D=&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Pendings',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Back_or_downtime%5D=2&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Acks OR downtimes',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&amp;filter%5Bhost_name%5D=&amp;filter%5Baddress%5D=&amp;filter%5Bplugin_output%5D=&amp;filter%5Bhostgroup_name%5D=&amp;filter%5Bcurrent_state%5D%5B%5D=0&amp;filter%5Bcurrent_state%5D%5B%5D=1&amp;filter%5Bcurrent_state%5D%5B%5D=2&amp;filter%5Bstate_type%5D=&amp;filter%5Bactive_checks_enabled%5D=&amp;filter%5Bnotifications_enabled%5D=&amp;filter%5Back_or_downtime%5D=4&amp;filter%5Bis_flapping%5D=&amp;filter%5Bdocumentation%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - services  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,10,'Simple',"/opmon/seagull/www/index.php/statusgrid/action/services/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,10,'By group',"/opmon/seagull/www/index.php/statusgrid/action/servicegroups/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,10,'Services Catalog',"/opmon/seagull/www/index.php/statusgrid/action/services/?filter[only_scats]=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,10,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'All',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bcurrent_state%5D%5B%5D=3&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Back_or_downtime%5D=&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5Bstatusgrid%5D=services&x=10&y=11",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Pendings',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bcurrent_state%5D%5B%5D=3&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Back_or_downtime%5D=2&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5Bstatusgrid%5D=services&x=2&y=9",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Acks OR downtimes',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=0&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bcurrent_state%5D%5B%5D=3&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Back_or_downtime%5D=4&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5Bstatusgrid%5D=services&x=7&y=11",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Force all old OpMons to get these links on service grid shortcuts
UPDATE `interface_shortcut_items` SET link='/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bcurrent_state%5D%5B%5D=3&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Back_or_downtime%5D=&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5Bstatusgrid%5D=services&x=10&y=11' WHERE shortcut_id=10 AND item_name='All';
UPDATE `interface_shortcut_items` SET link='/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bcurrent_state%5D%5B%5D=1&filter%5Bcurrent_state%5D%5B%5D=2&filter%5Bcurrent_state%5D%5B%5D=3&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Back_or_downtime%5D=2&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5Bstatusgrid%5D=services&x=2&y=9' WHERE shortcut_id=10 AND item_name='Pendings';


UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','timeCutId':'100','selectedItens':['$USER1$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','selectedItens':['$USER1$']}";
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':['$USER1$!$USER2$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':['$USER1$!$USER2$']}";
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':['$USER1$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':['$USER1$']}";
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':['$USER1$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':['$USER1$']}";


-- Update older shortcuts from service statusgrid to the new format (with parameter "&filter%5Bstatusgrid%5D=services")
UPDATE interface_shortcut_items SET link = Concat(link, '&filter%5Bstatusgrid%5D=services') WHERE shortcut_id = (SELECT id FROM interface_shortcut_names WHERE shortcut_name = 'statusgrid_services' LIMIT 1) AND link LIKE '%search%' AND link NOT LIKE '%statusgrid%5D=services%'; 

-- Statusgrid - downtimes  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,11,'Hosts',"/opmon/seagull/www/index.php/statusgrid/action/downtimes/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bend_time%5D=&filter%5Bobject_type%5D=0&filter%5Bfixed%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,11,'Services',"/opmon/seagull/www/index.php/statusgrid/action/downtimes/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bend_time%5D=&filter%5Bobject_type%5D=1&filter%5Bfixed%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - comments  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,12,'Hosts',"/opmon/seagull/www/index.php/statusgrid/action/comments/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bobject_type%5D=0",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,12,'Services',"/opmon/seagull/www/index.php/statusgrid/action/comments/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bobject_type%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - scheduled queue  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,13,'Active check',"/opmon/seagull/www/index.php/statusgrid/action/scheduledchecks/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Blast_check%5D=&filter%5Bnext_check%5D=&filter%5Bcheck_type%5D=0",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,13,'Passive check',"/opmon/seagull/www/index.php/statusgrid/action/scheduledchecks/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Blast_check%5D=&filter%5Bnext_check%5D=&filter%5Bcheck_type%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - notifications  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,14,'Hosts',"/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter%5Blog_day%5D=&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Boutput%5D=&filter%5Bobject_type%5D=0",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,14,'Services',"/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter%5Blog_day%5D=&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Boutput%5D=&filter%5Bobject_type%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - eventlog  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,15,'Alerts',"/opmon/seagull/www/index.php/statusgrid/action/eventlog/?filter[data]=ALERT",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,15,'Notifications',"/opmon/seagull/www/index.php/statusgrid/action/eventlog/?filter[data]=NOTIFICATION",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

ALTER TABLE interface_shortcut_items ADD COLUMN pos int(11) DEFAULT 1;

--
-- Bookmarks
--

CREATE TABLE `interface_user_favorites` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `contact_id` int(11) NOT NULL,
    `name` varchar(128) NOT NULL,
    `link` text NOT NULL,
    PRIMARY KEY(`id`),
    UNIQUE (`name`,`contact_id`)
) DEFAULT CHARSET=utf8;
