/**
 * Select the main tab, changing
 * the element's CSS
 */

var interfaceMask = {};

/**
 * Show the sub-menu according
 * to selected tab
 */

function selectSubMenu(el, module, action, params) {

  // Unselect old tab and select new one
  var oldTab = Ext.select('.tab-sub-menu-selected');
	if (oldTab.getCount()>0) {
		var element = oldTab.first();
		element.replaceCls('tab-sub-menu-selected','tab-sub-menu');
	}

	el.className = "tab-sub-menu-selected";
	el.onmouseover = null;
	el.onmouseout = null;

	//adjustCss();

}

/**
 * Change splitter icon according
 * the situation
 */

function changeSlideIcon(el) {

	var imgSrc = el.src;

	if (/up/.test(imgSrc)) {
		imgSrc = imgSrc.replace("up", "down");
	}else if (/down/.test(imgSrc)) {
		imgSrc = imgSrc.replace("down", "up");
	}else if (/-left/.test(imgSrc)) {
		imgSrc = imgSrc.replace("-left", "-right");
	}else if (/-right/.test(imgSrc)) {
		imgSrc = imgSrc.replace("-right", "-left");
	}

	el.src = imgSrc;

}

/**
 * Adjust CSS to Highlight objects
 * when mouse is over
 */



/**
 * Define the page title from inside the iframe
 */

function setPageTitle(title,demo) {

	var td = parent.Ext.get('page-title');
	if (td)
		td.dom.innerHTML = title;

	demo = demo || 0;
	if (demo)
		parent.Ext.get('demo-version').removeCls('x-hidden');
	else
		parent.Ext.get('demo-version').addCls('x-hidden');

}

/**
 * Execute user's logoff
 */

function logoff() {
	// OTRS Integration - Logoff
        Ext.Ajax.request({
                url: '/otrs/index.pl',
                params : { Action : 'Logout' },
                method: 'post',
                success: function ( result, request) { return true;},
                failure: function ( result, request) { return false;}
                }
        );
	// Logoff OpMon
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/logoff/?',
		method:	'post',
		success: function( result, request ) {
			document.location.reload();
		}
	});
}

/**
 * Hide the context help
 */

function hideHelp() {
	var helpMenu = parent.document.getElementById('helptable');
	if (helpMenu.style.display == 'none') {
		return true;
	}

	helpMenu.style.display = 'none';

}

/**
 * Show the context help
 */

function showHelp(title,text) {
	var td = parent.document.getElementById('helptitle');
	td.innerHTML = title;

	var td = parent.document.getElementById('helpbody');
	td.innerHTML = text;

	var helpMenu = parent.document.getElementById('helptable');
	if (helpMenu.style.display == 'block') {
		return true;
	}

	helpMenu.style.display = 'block';
}

/**
 * Remove context sensitive Panel
 */

function createContextSensitivePanel( urlArray ) {

	// Remove old panels
	parent.removeContextSentitivePanel();

	// Get panel div
	var panelDiv = parent.Ext.get('newPanel');
	loadUrlArray( urlArray, 0, panelDiv );
}

/**
 * Remove context sensitive Panel
 */

function removeContextSentitivePanel() {
	// Get panel div
	var panelDiv = parent.Ext.get('newPanel');
	panelDiv.dom.innerHTML = "";

}

function openCloseByCache(id) {
	if (getCookie(id) === 'none') {
		displayEl(id);

		var img = Ext.get(id + "-expand").dom.src;

		if (((Ext.get(id).dom.style.display === 'none') && (/up/.test(img)))
			|| ((Ext.get(id).dom.style.display === 'block') && (/down/.test(img)))) {
			changeSlideIcon(Ext.get(id + "-expand").dom);
		}
	}
}

/**
 * Load all URLs recursively
 */
function loadUrlArray( urlArray, index, element ) {
	// Update Interface Items
	Ext.Ajax.request({
		url: urlArray[index],
		method:	'post',
		success: function( result, request ) {
			// Set return to the panel div
			element.dom.innerHTML += result.responseText;
			index = index + 1;

			openCloseByCache("filterContent");

			if (urlArray.length>index) {
				loadUrlArray( urlArray, index, element );
			}

		}
	});

}

function createContextMenuActions(key, imgBase){
	var tree = Ext.getCmp('scTree');
	var addFolder =	Ext.create('Ext.Action', {
		nid: 'add-folder',
		text: langArray["Add directory"],
		icon: imgBase + 'ico_adicionar.png',
		handler: function(item, event) {
			//'add-folder'
			Ext.Msg.prompt(langArray['New shortcut'], langArray["Type the new shortcut name"] + ":",
				function(btnId, text) {
					if (btnId !== 'ok' || text === "")
						return;

					var node = tree.getSelectionModel().getSelection();
					node = node[0];

					if ((node === undefined) || (node.data === undefined)) return;
					while(node.data.leaf) { node = node.parentNode;	}

					createDirectoryNode(node.data.id, key, text);
				});
		}
	});

	var remove = Ext.create('Ext.Action', {
		nid: 'delete-node',
		text: langArray["Remove"],
		icon: imgBase + 'ico_excluir.png',
		handler: function(widget, event) {
			if (this.nid === 'delete-node') {
				var node = tree.getSelectionModel().getSelection();

				if ((node[0].raw.system) && (node[0].raw.system === '1')) {
					Ext.Msg.show({
						msg:		langArray["This is a system element and can't be removed!"],
						width:		300,
						buttons:	Ext.Msg.OK,
						closable:   false,
						icon:		Ext.MessageBox.ERROR,
						modal:		true
					});
					return;
				}

				if (node[0].childNodes.length > 0) {
					if (!nodeMayBeRemoved(node)) {
						Ext.Msg.show({
							msg: langArray["This is a system element and can't be removed!"],
							width:300,
							buttons: Ext.Msg.OK,
							closable:   false,
							icon: Ext.MessageBox.ERROR,
							modal: true
						});
						return;
					}

					Ext.Msg.show({
						msg: langArray["If you remove this element, all child nodes will be removed. Continue?"],
						width:300,
						buttonText: { yes: 'Ok', cancel: langArray['Cancel'] },
						closable: false,
						icon: Ext.MessageBox.QUESTION,
						modal: true,
						fn: function( btnId, text ) {
							if (btnId !== 'yes')
								return;
							removeTreeNode(node[0].data.id, key);
						}
					});
					return;
				}

				Ext.Msg.show({
					msg: langArray['Proceed with this element removal?'],
					width:300,
					buttonText: { yes: 'Ok', cancel: langArray['Cancel'] },
					closable:   false,
					icon: Ext.MessageBox.QUESTION,
					modal: true,
					fn: function(btnId, text) {
						if (btnId !== 'yes')
							return;
						removeTreeNode(node[0].data.id, key);
					}
				});
				return;
			}
		}
	});

	return [addFolder, remove];
}

function loadShortcut(key, arr) {

	/* Get shortcut list */
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/load_shortcut/?',
		method:	'post',
		params: (!arr) ? { key: key } : { key: key, arr: Ext.JSON.encode(arr) },
		success: function(result, request) {
			/* if this tree already loaded */
			var prevTree = parent.Ext.getCmp('scTree');

			if (prevTree) {
				Ext.destroy([Ext.getCmp('tree-contextmenu'), Ext.getCmp('scTree')]);
				Ext.DomHelper.append(Ext.get('shortcutSpace'), '<div class="offset-by-two ten columns shortcut-content" id="shortcutContent"></div>');
			}

			// Clear previous shortcut
			var tEl = parent.Ext.get('shortcutContent');
			tEl.dom.innerHTML = "";
			var ret = Ext.JSON.decode(result.responseText);
			var elements = ret.items;
			var xObj = elements.pop();

			// Create shortcut tree
			var store = new Ext.create('Ext.data.TreeStore',{
				root: {
					text: 'source',
					draggable:false,
					id:'source',
					children: elements
				}
			});

			var tree = new Ext.create('Ext.tree.Panel', {
				_KEY_NAME: key,
				_MD5: ret.md5,
				el: 'shortcutContent',
				id: 'scTree',
				width: 200,
				minHeight: 200,
				store: store,
				rootVisible: false,
				autoScroll: true,
				animate: false,
				border: false,
				bodyBorder: false,
				enableDD: (xObj.admin && key.match(/^statusgrid.*/)) ? true : false,
				loader: new Ext.data.TreeStore({preloadChildren:true }),
				viewConfig: (xObj.admin && key.match(/^statusgrid.*/)) ? {
					plugins: {
						ptype:	'treeviewdragdrop'
					},
					listeners: {
						drop: function(node, data, target, operation) {

							if (!data.records[0].internalId)
								return false;
							if (!data.records[0].parentNode.internalId)
								return false;

							var moving_id = data.records[0].internalId;
							var target_id = data.records[0].parentNode.internalId;
							var newpos = 1;

							if (target_id == 'source')
								target_id = 0;

							if (operation == 'before') {
								newpos = parseInt(target.raw.pos) - 1;
							} else if (operation == 'after') {
								newpos = parseInt(target.raw.pos) + 1;
							}

							//updateShortcutTree(Ext.getCmp('scTree'));
							return update_shortcut_item(
								moving_id,
								target_id,
								newpos,
								Ext.getCmp('scTree')
							);
						}
					}
				} : {}
			});

			var contextMenu = Ext.create('Ext.menu.Menu', {
				id:	'tree-contextmenu',
				items: createContextMenuActions(key, '/opmon/seagull/modules/opinterface/templates/themes/' + xObj.theme + '/imgs/')
			});

			// render the tree
			tree.render();
			tree.getRootNode().expand();
			tree.getRootNode().expandChildren(true);

			if ((xObj.admin) && (key.match(/^statusgrid.*/))) {
				Ext.onReady(function() {
					Ext.get('scTree-body').on("contextmenu",function(event,element){
						event.stopEvent();
						contextMenu.showAt(event.getXY());
						return true;
					});
				});
			}

			openCloseByCache("shortcutContent");
		}
	});
}

function update_shortcut_item(moving_id, target_id, position, tree) {
	var interfaceMask = new Ext.LoadMask(
		tree.getEl(), {
			msg: langArray['Updating'] + '...'
		}
	);
	interfaceMask.show();

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/update_shortcut_item/',
		method: 'post',
		params: {
			'moving_id': moving_id,
			'target_id': target_id,
			'md5': tree._MD5,
			'key': tree._KEY_NAME,
			'pos': position
		},
		success: function(result, request) {
			var res;
			try {
				res = JSON.parse(result.responseText);
			} catch(e) {
				res = {
					success: false
				};
			}

			if (!res.success) {
				Ext.Msg.show({
					msg:		langArray["Request Error"],
					width:		300,
					buttons:	Ext.Msg.OK,
					closable:	false,
					icon:		Ext.MessageBox.ERROR,
					modal:		true
				});
			}
			interfaceMask.hide();
			loadShortcut(tree._KEY_NAME);
		},
		failure: function( result, request ) {
			interfaceMask.hide();
			loadShortcut(tree._KEY_NAME);
		}
	});
	return false;
}

function nodeMayBeRemoved(node) {
	if (node.length > 0)
		node = node[0];

	if (node.raw.system > 0)
		return false;

	for(var c=0; c < node.childNodes.length; c++) {
		var child = node.childNodes[c];
		if (!nodeMayBeRemoved(child))
			return false;
	}

	return true;
}

function removeTreeNode(id, key) {

	var tree = parent.Ext.getCmp('scTree');

	if (!tree)
		return false;

	interfaceMask = new Ext.LoadMask(tree.getEl(), { msg: langArray['Updating'] + '...' });
	interfaceMask.show();

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/remove_tree_node/',
		method: 'post',
		params: {
			id: id,
			key: key
		},
		success: function(result, request) {
			parent.loadShortcut(key);
			interfaceMask.hide();
			return true;
		},
		failure: function( result, request ) {
			parent.loadShortcut(key);
			interfaceMask.hide();
		}
	});

	return true;
}

function createDirectoryNode(target, key, text) {
	var tree = parent.Ext.getCmp('scTree');

	if (!tree)
		return false;

	interfaceMask = new Ext.LoadMask(tree.getEl(), { msg: langArray['Updating'] + '...' });
	interfaceMask.show();

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/create_directory_node/',
		method: 'post',
		params: {
			target_id: target,
			key: key,
			text: text
		},
		success: function(result, request) {
			parent.loadShortcut(key);
			interfaceMask.hide();
			return true;
		},
		failure: function( result, request ) {
			parent.loadShortcut(key);
			interfaceMask.hide();
		}
	});

	return true;
}

function createNode(link, key, text) {

	var tree = parent.Ext.getCmp('scTree');

	if (!tree)
		return false;

	interfaceMask = new Ext.LoadMask(tree.getEl(), { msg: langArray['Updating'] + '...' });
	interfaceMask.show();

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/create_shortcut_node/',
		method: 'post',
		params: {
			link: link,
			key: key,
			text: text
		},
		success: function(result, request) {

			if (result.responseText === ERR_FAV_EXISTS) {
				Ext.MessageBox.show({
					msg: t('Could not create shortcut because it exists already'),
					width: 300,
					buttons: Ext.MessageBox.OK,
					closable:   false,
					cls: 'sc-window',
					icon: Ext.MessageBox.WARNING,
					modal: true
				});
			}
			parent.loadShortcut(key);
			interfaceMask.hide();
			return true;
		},
		failure: function( result, request ) {
			parent.loadShortcut(key);
			interfaceMask.hide();
		}
	});

	return true;
}

function addShortcutLink() {

	var tree = parent.Ext.getCmp('scTree');
	if (!tree)
		return false;
	key = tree._KEY_NAME;

	// Get current URL
	var curURL = parent.window.frames['mFrame'].location.href;
        curURL = curURL.replace(/http[s]*:\/\/[^\/]+/, "");

	Ext.MessageBox.show({
		msg:		langArray["Type the new shortcut name"] + ":",
		width:		300,
		buttons:    Ext.MessageBox.OKCANCEL,
        cancelText: langArray["Cancel"],
		closable:   false,
		prompt:		true,
		icon:		Ext.MessageBox.INFO,
		modal:		true,
		fn: function( btnId, text ) {
			if (btnId !== 'ok' || text === "")
				return;

			createNode(curURL, key, text);
		}
	});
}

function showSystemAlert( level, title, msg ) {

	var alertBox = parent.Ext.get('systemAlert');
	var alertIcon = parent.Ext.get('systemAlertIcon');
	var alertTitle = parent.Ext.get('systemAlertTitle');
	var alertDescr = parent.Ext.get('systemAlertDescr');

	if (level === ALERT_OK) {
		alertBox.dom.className = 'system-alert-ok';
		alertDescr.dom.className = 'system-alert-ok-descr';
		setTimeout("hideSystemAlert()",2000);
	} else if (level === ALERT_INFO) {
		alertBox.dom.className = 'system-alert-info';
		alertDescr.dom.className = 'system-alert-info-descr';
	} else if (level === ALERT_CRITICAL) {
		alertBox.dom.className = 'system-alert-critical';
		alertDescr.dom.className = 'system-alert-critical-descr';
	}

	alertTitle.dom.innerHTML = title;
	alertDescr.dom.innerHTML = msg;
	if (Ext.isIE)
		alertBox.dom.style.display = 'block';
	else
		alertBox.dom.style.display = 'table-cell';

	// Adjust alert size
	adjustAlertSize();

	return true;

}

function hideSystemAlert() {

	var alertBox = parent.Ext.get('systemAlert');
	alertBox.dom.style.display = 'none';

}

function adjustAlertSize() {

	var alertBox = parent.Ext.get('systemAlert');
	var baseElement = Ext.get('system-alert-base-element');

	//alertBox.setLeft( baseElement.getLeft() );
	//alertBox.setWidth( baseElement.getWidth() );

}

function addFavoriteLink() {

	// Get current URL
	var curURL = parent.window.frames['mFrame'].location.href;
        curURL = curURL.replace(/http[s]*:\/\/[^\/]+/, "");

	// if this favorite points to a status grid list,
	// and it doesn`t have a filter, we need to add an
	// empty filter. for further details on this, please
	// attempt to ticket #2333
	if (curURL.indexOf("statusgrid") !== -1 && curURL.indexOf("filter") === -1) {
		curURL += "?filter%5Bsearch%5D=";
	}

	Ext.MessageBox.show({
		msg:		langArray['Type the new bookmark name'] + ":",
		width:		300,
		border:		true,
		buttons:    Ext.MessageBox.OKCANCEL,
		cancelText: langArray["Cancel"],
		closable:	false,
//		cls:		'sc-window',
		prompt:		true,
		icon:		Ext.MessageBox.INFO,
		modal:		true,
		fn: function(btnId, text) {
			text = htmlEntities(text);
			if (btnId === 'ok') {
				Ext.Ajax.request({
					url: '/opmon/seagull/www/index.php/opinterface/action/add_favorite/?',
					method:	'post',
					params: {
						name: text,
						url: curURL
					},
					success: function( result, request ) {
						if (result.responseText === ERR_FAV_EXISTS) {
							Ext.MessageBox.show({
								msg: langArray['Bookmark already exists'],
								width: 300,
								buttons: Ext.MessageBox.OK,
								closable:   false,
								cls: 'sc-window',
								icon: Ext.MessageBox.WARNING,
								modal: true
							});
						} else {
							Ext.get('favoriteContent').dom.innerHTML = result.responseText;
						}
					}
				});
			}
		}
	});
}

function callFavoriteForm() {
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/load_favorite_form/?',
		method:	'post',
		success: function( result, request ) {
			Ext.get('favoriteContent').dom.innerHTML = result.responseText;
		}
	});
}

function callFavoritePanel() {
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/load_favorite_panel/?',
		method:	'post',
		success: function( result, request ) {
				Ext.get('favoriteContent').dom.innerHTML = result.responseText;
		}
	});
}

function favMoveUp( curLevel ) {

	var newLevel = curLevel-1;
	var newEl = Ext.get('fav_' + newLevel);
	if (newEl) {

		var curEl = Ext.get('fav_' + curLevel);
		var curLevelText = curEl.dom.innerHTML;
		var newLevelText = newEl.dom.innerHTML;

		// Change current level string
		curLevelText = curLevelText.replace(curLevel+")",newLevel+")");
		curLevelText = curLevelText.replace(curLevel+")",newLevel+")");
		curLevelText = curLevelText.replace(curLevel+")",newLevel+")");

		// Change new level string
		newLevelText = newLevelText.replace(newLevel+")",curLevel+")");
		newLevelText = newLevelText.replace(newLevel+")",curLevel+")");
		newLevelText = newLevelText.replace(newLevel+")",curLevel+")");

		// Change positions
		newEl.dom.innerHTML = curLevelText;
		curEl.dom.innerHTML = newLevelText;

	}

}

function favMoveDown( curLevel ) {

	var newLevel = curLevel+1;
	var newEl = Ext.get('fav_' + newLevel);
	if (newEl) {

		var curEl = Ext.get('fav_' + curLevel);
		var curLevelText = curEl.dom.innerHTML;
		var newLevelText = newEl.dom.innerHTML;

		// Change current level string
		curLevelText = curLevelText.replace(curLevel+")",newLevel+")");
		curLevelText = curLevelText.replace(curLevel+")",newLevel+")");
		curLevelText = curLevelText.replace(curLevel+")",newLevel+")");

		// Change new level string
		newLevelText = newLevelText.replace(newLevel+")",curLevel+")");
		newLevelText = newLevelText.replace(newLevel+")",curLevel+")");
		newLevelText = newLevelText.replace(newLevel+")",curLevel+")");

		// Change positions
		newEl.dom.innerHTML = curLevelText;
		curEl.dom.innerHTML = newLevelText;

	}

}

function favUpdate() {

	var aTmp = Ext.select('.fav-input');
	var uTmp = Ext.select('.fav-hidden');

	var aRet = new Array();
	aTmp.each( function(obj,el,index) {

		var x = new Object();
		x.name = htmlEntities(obj.dom.value)
		x.href = uTmp.item(index).dom.value;
		aRet.push(x);
	});

	var objects = Ext.JSON.encode(aRet);
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/update_favorite/',
		method:	'post',
		params: { objects: objects },
		success: function( result, request ) {
				Ext.get('favoriteContent').dom.innerHTML = result.responseText;
		}
	});

}

function favDelete( curLevel ) {

	var lastLevel = curLevel;
	curLevel++;
	for(;;curLevel++) {
		var obj = Ext.get('fav_' + curLevel);
		if (!obj) {
			var obj = Ext.get('fav_' + lastLevel);
			var fn = new Ext.util.DelayedTask( function() {
				Ext.removeNode( obj.dom );
			});
			fn.delay(500);
			break;
		}

		favMoveUp( curLevel );
		lastLevel = curLevel;

	}

}

function fullScreen() {
	var args = arguments.length;
	if (Ext.get('leftFrame').isVisible() && args === 0) {
		Ext.get('leftFrame').hide('display', 'none');
		Ext.get('rightFrameWrapper').replaceCls("rightFrameWrapperPadding", "rightFrameWrapperNoPadding");
	}
	else {
		Ext.get('leftFrame').show('display', 'block');
		Ext.get('rightFrameWrapper').replaceCls("rightFrameWrapperNoPadding", "rightFrameWrapperPadding");
	}
}

function cancelFullScreen() {

	Ext.getCmp('fsWinEl').hide();

}

function confirmFullScreen() {

	var chk = Ext.get('fs_dont_show');
	if (chk.dom.checked) {
		setCookie('op_fullscreen', true, '365', '/', '', '' );
	}
	Ext.getCmp('fsWinEl').hide();

}

function changePassword() {

		var tWin = Ext.getCmp('passowrdWinEl');
		// Create command window
		var win = (tWin) ? tWin : new Ext.Window({
				applyTo:		'passowrdWin',
				id:			'passowrdWinEl',
				layout:		'fit',
				header:		false,
				headerAsText: false,
				width:		360,
				autoHeight:	true,
				//y:	100,
				buttonAlign:	'center',
				plain:		false,
				modal:		true,
				closable:	false,
				closeAction: 'hide',
				draggable:	false,
				shadow: false,
				baseCls: 'ext-window',
				bodyBorder: false,
				hideBorders: true,
				border: true,
				resizable: false
		});

		win.show();

}

function cancelChangePassword() {
	Ext.getCmp('passowrdWinEl').hide();
}

function submitChangePassword( contact_name ) {

	var old_password = Ext.get('old_password').dom.value;
	var new_password = Ext.get('new_password').dom.value;
	var repeat_new_password = Ext.get('repeat_new_password').dom.value;

	if (new_password !== repeat_new_password) {
		showSystemAlert(ALERT_CRITICAL,"",langArray["New passowrd doesn't match"]);
	} else {

		Ext.Ajax.request({
			url: '/opmon/seagull/www/index.php/opinterface/action/update_password/',
			method:	'post',
			params: { contact_name: contact_name, old_password: old_password, new_password: new_password },
			success: function( result, request ) {

				if (result.responseText === '1')
					showSystemAlert(ALERT_CRITICAL,"",langArray["Wrong password"]);
				else
					showSystemAlert(ALERT_OK,"",langArray["Password updated successfully"]);

				Ext.get('old_password').dom.value = '';
				Ext.get('new_password').dom.value = '';
				Ext.get('repeat_new_password').dom.value = '';
			}
		});

	}

}

function htmlEntities(texto){

    var i = null;
    var novo = '';
    for(i=0;i<texto.length;i++){
        var carac = texto.charAt(i).charCodeAt(0);
        if( (carac > 47 && carac < 58) || (carac > 62 && carac < 127) ){
            novo += texto.charAt(i);
        }else{
            novo += "&#" + texto.charAt(i).charCodeAt(0) + ";";
        }
    }
    return novo;
}

function verify_license() {

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/verify_license/',
		method:	'post',
		success: function(result, request) {
			if (result.responseText == OPMON_NOT_RUNNING) {
				showSystemAlert(ALERT_CRITICAL, langArray['CRITICAL'], result.responseText);
			}
			else {
				if (result.responseText != LICENSE_OK)
					showSystemAlert(ALERT_INFO, langArray['WARNING'], result.responseText);
			}
		}
	});

}


function verify_opmon() {

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/verify_opmon/',
		method:	'get',
		success: function(result, request) {

			try {
				var res = JSON.parse(result.responseText);
			} catch(e) {
				console.log(e);
				return;
			}

			// nothing special is happening
			if (res.status == 0) {
				process_alert_window.hide();
				return;
			}

			if (!process_alert_window.is_new_message(res.message))
				return;

			process_alert_window.set_title(res.title);
			process_alert_window.set_message(res.message);
			process_alert_window.show();

		}
	});

	//update notifications
	if (Notifications) {
		Notifications.update();
	}
}

function showHelp() {

	var iFrame = Ext.get('mainFrame');
	iFrame.dom.src = '/opmon/seagull/www/index.php/docs/action/index/';

}

var win;

function showSplashScreen() {

	if (!win) {

		win =	Ext.create('Ext.Window', {
					title: t("Welcome"),
					id:	'extSplashScreenWin',
					width: 610,
					height: 385,
					layout: 'vbox',
					modal: true,
					fixed: true,
					draggable: false,
					resizable: false,
					plain: true,
					listeners:{
						close:hideSplashScreen,
						scope:this
					},
					items: [
						{
							xtype: 'container',
							id: 'slider-container',
							height: 335,
							border: false,
							contentEl: 'splashScreenWinContent',
							html: ''
						},
						{
							xtype: 'container',
							id: 'option-container',
							style: { marginTop: '-31px' },
							height: 30,
							padding: 9,
							border: false,
							items: [
								{
									xtype: 'checkboxfield',
									fieldLabel: 'Label',
									id: 'splashScreenDisable',
									hideLabel: true,
									boxLabel: t("Don't show this window again")
								}
							]
						}
					]
				});
	}

	win.show();

}

function hideSplashScreen() {
	var win = Ext.getCmp('extSplashScreenWin');
	if (win) {
		var chk = Ext.getCmp('splashScreenDisable').getValue();
		if (chk) {
			Ext.Ajax.request({
				url: '/opmon/seagull/www/index.php/opinterface/action/disablesplashscreen/?',
				method:	'get',
				success: function( result, request ) {
				}
			});
			//Ext.util.Cookies.set('OPMON.splashScreenDisable',1);
		}

		win.hide();

	}

}

function goToMainScreen() {

	var win = Ext.getCmp('extSplashScreenWin');
	if (win)
		win.setHeight(580);

	var screenDefault = Ext.get('splashScreenDefault');
	if (screenDefault)
		screenDefault.dom.style.display = 'block';

	var screenDiscovery = Ext.get('splashScreenDiscovery');
	if (screenDiscovery)
		screenDiscovery.dom.style.display = 'none';


}

function goToConfigurationPage() {

	hideSplashScreen();

	// Select and load OpCfg
	selectTab('Tools');
	var el = Ext.get('opcfgSubMenuTab').dom;
	selectSubMenu(el,'opinterface','opcfg');

}

function goToDiscoveryTool() {

	hideSplashScreen();

	// Select and load OpCfg
	selectTab('Tools');
	var el = Ext.get('opcfgSubMenuTab').dom;
	selectSubMenu(el,'discovery','community');
}

function showNetworkRangeTooltip(el, focus) {

	if (focus) {
		el.style.borderWidth = "2px";

		var tt = new Ext.ToolTip({
			target:	el,
			anchor:	'top',
			anchorOffset: 85,
			html: 'Ex: 10.0.0.100; 10.0.0.0/24; 10.0.0.*; 10.0.0.100-200; 10.0.0.100,111,112'
		});
		tt.show();

	} else {
		el.style.borderWidth = "1px";
	}

}

function submitDiscovery(btn) {

	var input = Ext.get('NetworkRange');
	if (input.dom.value !== '') {

		var range = input.dom.value;
		btn.value = langArray['Scanning'] + '...';
		btn.disabled = true;

		var win = Ext.getCmp('extSplashScreenWin');
		if (win) {
			win.setHeight(580);

			var panel = new Ext.Panel({
				id:					'ScanResultsCmp',
				title:			langArray['Discovery Status'],
				renderTo:		'ScanResultsPanel',
				contentEl:	'ScanResults',
				height:			180,
				frame:			false,
				autoScroll:	true
			});

			// Display Loader
			Ext.get('DiscoveryLoader').dom.style.display = 'block';

			var URL = '/opmon/seagull/www/index.php/discovery/action/submit_job';
			Ext.Ajax.request({
				url:		URL,
				method:	'POST',
				params:	{
					import_method:	'AutoDiscovery',
					ip_range:				range,
					port_range:			'',
					icmp_check:			1,
					scan_level:			5
				},
				success: function(res,req) {

					try {
						var jobRet = Ext.JSON.decode(res.responseText);
						if (jobRet.PermissionError) {
							logAutoDiscovery(langArray['UserWithouPermissionDiscovery']);

							// Disable Loader
							Ext.get('DiscoveryLoader').dom.style.display = 'none';

							// Enable Scan Button
							var btn = Ext.get('NetworkRangeBtn').dom;
							btn.disabled = false;
							btn.value = langArray['Start Scan'];

							// Finish
							logAutoDiscovery(langArray['Auto-Discovery finished!']);
							Ext.getCmp('ScanResultsCmp').setTitle(langArray['Auto-Discovery finished! (see log below)']);

							Ext.get('closeButton').dom.style.display = 'block';
							Ext.get('backButton').dom.style.display = 'none';
							return;

						}
					} catch(e) {
						//
					}

					logAutoDiscovery(langArray['Auto-Discovery started!']);
					logAutoDiscovery(langArray['Scanning network'] + ' ' + range + '...');
					setTimeout('observeAutoDiscovery()',5000);
				}
			});
		}
	}

}

function observeAutoDiscovery() {

	var URL = '/opmon/seagull/www/index.php/discovery/action/get_auto_discovery_status/?';
	Ext.Ajax.request({
		url:		URL,
		method:	'POST',
		success: function(res,req) {
			try {
				var obj = Ext.JSON.decode(res.responseText);
				if (obj.running) { // discovery running
					setTimeout('observeAutoDiscovery()',5000);
				} else { // start import

					logAutoDiscovery(langArray['Scan finished!']);

					// Call import method
					var URL = '/opmon/seagull/www/index.php/discovery/action/count_objects_from_auto_discovery/?';
					logAutoDiscovery(langArray['Retrieving discovered objects'] + '...');
					Ext.Ajax.request({
						url:		URL,
						method:	'POST',
						success: function(oRes,oReq) {

							var obj = Ext.JSON.decode(oRes.responseText);
							logAutoDiscovery(obj.total + ' ' + langArray['host(s) discovered!']);

							if (obj.total) {

								var URL = '/opmon/seagull/www/index.php/discovery/action/import_objects_from_auto_discovery/?';
								logAutoDiscovery(langArray['Importing discovered objects'] + '...');
								Ext.Ajax.request({
									url:		URL,
									method:	'POST',
									success: function(oRes,oReq) {

										var obj = Ext.JSON.decode(oRes.responseText);
										// Log results
										Ext.each( obj.added, function(device) {
											logAutoDiscovery(device + " " + langArray['added.']);
										});
										Ext.each( obj.ignored, function(device) {
											logAutoDiscovery(device + " " + langArray['already exists.']);
										});

										logAutoDiscovery(langArray['Exporting new config'] + '...');
										var URL = '/opmon/seagull/www/index.php/discovery/action/submit_devices/?';
										Ext.Ajax.request({
											url:		URL,
											method:	'POST',
											success: function(oRes,oReq) {

												logAutoDiscovery(langArray['Configuration exported!']);
												// Disable Loader
												Ext.get('DiscoveryLoader').dom.style.display = 'none';

												// Enable Scan Button
												var btn = Ext.get('NetworkRangeBtn').dom;
												btn.disabled = false;
												btn.value = 'Start Scan';

												// Finish
												logAutoDiscovery(langArray['Auto-Discovery finished!']);
												Ext.getCmp('ScanResultsCmp').setTitle(langArray['Auto-Discovery finished! (see log below)']);

												Ext.get('closeButton').dom.style.display = 'block';
												Ext.get('backButton').dom.style.display = 'none';

											}
										});
									}
								});


							} else {
								logAutoDiscovery(langArray['Nothing to do.']);

								// Disable Loader
								Ext.get('DiscoveryLoader').dom.style.display = 'none';

								// Enable Scan Button
								var btn = Ext.get('NetworkRangeBtn').dom;
								btn.disabled = false;
								btn.value = langArray['Start Scan'];

								// Finish
								logAutoDiscovery(langArray['Auto-Discovery finished!']);
								Ext.getCmp('ScanResultsCmp').setTitle(langArray['Auto-Discovery finished! (see log below)']);

								Ext.get('closeButton').dom.style.display = 'block';
								Ext.get('backButton').dom.style.display = 'none';

							}

						}
					});


				}
			} catch(e) {
				// TODO ERROR DISPLAY
			}
		}
	});

}

function logAutoDiscovery(msg) {

	var d = new Date();
	var month = d.getMonth() + 1;
	if (month<10)
		month = '0' + month;
	var day = d.getDate();
	if (day<10)
		day = '0' + day;
	var hour = d.getHours();
	if (hour<10)
		hour = '0' + hour;
	var min = d.getMinutes();
	if (min<10)
		min = '0' + min;
	var sec = d.getSeconds();
	if (sec<10)
		sec = '0' + sec;

	var strTime = '[';
	strTime += d.getFullYear() + '-' + month + '-' + day;
	strTime += ' ';
	strTime += hour + ':' + min + ':' + sec;
	strTime += '] ';

	var div = Ext.get('ScanResults');
	div.dom.innerHTML += strTime + msg + '<br>';
	div.scroll('top',div.getHeight());


}

function fakepathRemove(el) {
	var firefox = jQuery("#themes").hasClass("ext-gecko");
	if (firefox === true) {
		document.getElementById('fake-input').value = el.value;
	} else {
		document.getElementById('fake-input').value = el.value.slice(12);
	}
}

function selectAllText(self) {
	var cSelf = self.split(" ");
	if(!jQuery("." + cSelf[0]).hasClass("selected")) {
		jQuery("." + cSelf[0]).select();
		jQuery("." + cSelf[0]).addClass("selected");
	}
}
function blurAllText(self) {
	var cSelf = self.split(" ");
	if(jQuery("." + cSelf[0]).hasClass("selected")) {
		jQuery("." + cSelf[0]).removeClass("selected");
	}
}


var Notifications = (function(){

	/* Notification Center */
	// Notification Model
	Ext.define('Notification', {
	    extend: 'Ext.data.Model',
	    fields: [
					{name: 'id',  type: 'int'},
					{name: 'title',  type: 'string'},
					{name: 'msg',  type: 'string'},
					{name: 'anchor',  type: 'string'},
					{name: 'checked',  type: 'boolean'},
					{name: 'type',  type: 'string'}
	    ]
	});

	//components
	var notificationCounterCmp = Ext.get("notification-counter");

	var notificationsCmp = Ext.get("notifications");

	// Notification Store
	var notificationsStore = Ext.create('Ext.data.Store', {
			model: 'Notification',
			proxy: {
					type: 'ajax',
					url: '/opmon/seagull/www/index.php/opinterface/action/notifications/',
					reader: {
							type: 'json',
							root: 'notifications'
					}

			},
			autoLoad: true,
			autoSync: false,
			listeners: {
		      	datachanged: {
			    	fn: function() {
						var new_notifications = 0;
							notificationsStore.each(function(record){
								var recordData = record.getData();
								if (!recordData.checked && notificationCounterCmp) {
									new_notifications++;
									Ext.get("notification-counter").setVisible(true);
								}
							});
							if (notificationCounterCmp) {
								notificationCounterCmp.dom.textContent = new_notifications;
							}
						}
		      		}
		  		}
	});

	// Notification Template
	var notificationTpl = new Ext.XTemplate(
	    '<tpl for=".">',
				'<li class="notification update li-sub-menu" data-notification-id="{id}">',
					'<a class="sub-menu-link checked-{checked}" target="_blank" href="{anchor}">',
						'<h4>{title}</h4>',
						'<span>{msg}</span>',
					'</a>',
				'</li>',
	    '</tpl>'
	);

	// Notification View
	var notificationView = Ext.create('Ext.view.View', {
	    store: notificationsStore,
	    tpl: notificationTpl,
	    itemSelector: 'li.notification',
	    emptyText: '<li id="no-notifications" class="notification notifications-header li-sub-menu"><a class="sub-menu-link">' + langArray['No notifications available'] + '</a></li>',
	    renderTo: Ext.get("notifications_list"),
	    loadMask: false,
	    listeners: {
	        itemmouseenter: function() {
	            console.log('enter');
	            //ev.createChild({html: 'entering'});
	        },
	        itemmouseleave: function() {
	        	console.log('leave');
	        	notificationsStore.each(function(item){
	        		if (item) {
	        			item.set('checked',true);
	        		}
	        		//console.log(item.raw.id);
	        	});
	        	//notificationsStore.getAt(0).set("checked",true);
	        	notificationsStore.sync();
	        	//notificationsStore.load();

	        },
	    }
	}).show();

	// Notification set checked
	/* --------------------------------
	Set checked true for all notifications in the list
	-------------------------------- */

	if (notificationsCmp) {
		notificationsCmp.on('mouseover', function(e, t, eOpts){
			// Reativar para gravar as alterações
			// notificationsStore.each(function(record){
			// 	record.set("checked",true);
			// });
			notificationCounterCmp.setVisible(false);
		});
	}

	return {
		update: function() {
			notificationsStore.load();
		}
	};
})();

