/**
 * Validate login and load profile
 */

Ext.onReady( function() {

	jQuery("#progress-bar").parent().hide();
	jQuery("#progress-bar").css("width","0px");
	var win;
	var btn = Ext.get('submitButton');
	btn.on( 'click', function() {
		validateLogin( win, btn );
	});
	
	var field = Ext.get('userPassword');
	field.on( 'keydown', function(e) {
		if (e.getKey() == e.ENTER) {
			validateLogin( win, btn );
		}
	});

	Ext.util.Cookies.set('previousSelectedElements',[]);
	
});

function validateLogin( win, btn ) {
	
	jQuery("#progress-bar").parent().show();
	jQuery("#progress-bar").css("width","0px");

	// Validate Login
	var userEl = Ext.get('userName');
	var user = userEl.dom.value;
	
	var passEl = Ext.get('userPassword');
	var pass = passEl.dom.value;
	
	if (user == "") {
		showSystemAlert(ALERT_INFO,"",langArray['Type an user']);
		jQuery("#progress-bar").parent().hide();
		return;
	}
		
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/validate_login/',
		method:	'post',
		params:	{ userName: user, userPassword: pass },
		success: function( result, request ) {
			
			jQuery("#progress-bar").css("width","15%");
			if (result.responseText.match("0")) {

				// Store user and password in cookie if keep data is checked
				var data = Ext.get('keepData').dom;
				if (data.checked) {
					setCookie('savedUser', user, '365', '/', '', '' );
					setCookie('savedPass', pass, '365', '/', '', '' );
				}
				
				loadProfile(user);
				
			} else if (result.responseText.match("1") || result.responseText.match("2")) {
				showSystemAlert(ALERT_CRITICAL,"",langArray['Wrong password']);
				jQuery("#progress-bar").parent().hide();
			} else if (result.responseText.match("3")) {
				showSystemAlert(ALERT_CRITICAL,"",langArray['Access expired']);
				jQuery("#progress-bar").parent().hide();
			} else {
				showSystemAlert(ALERT_CRITICAL,"OpMon",langArray['Database connection problem']);
				jQuery("#progress-bar").parent().hide();
			}
			
		}
	});
	
}

/**
 * Load user's profile and store all information
 * on HTTP Sessions.
 */

function loadProfile( user ) {
	
	// Load contact information
	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opinterface/action/load_contact_information/',
		method:	'post',
		params:	{ userName: user },
		success: function( result, request ) {

			jQuery("#progress-bar-subtitle").text(langArray["Loading language array"]);
			jQuery("#progress-bar").css("width","60%");
			
			// Load language array
			Ext.Ajax.request({
				url:		'/opmon/seagull/www/index.php/opinterface/action/load_language_array/?',
				method:	'post',
				success: function( result, request ) {
		
					jQuery("#progress-bar-subtitle").text(langArray["Loading interface"]);
					jQuery("#progress-bar").css("width","99%");

					var firstPage = Ext.get('inital_page');
					if (firstPage)
						window.location = "/opmon/seagull/www/index.php/opinterface/action/index/?initial_page=" + firstPage.dom.value;
					else
						window.location = "/opmon/seagull/www/index.php/opinterface/action/index/";
						
				}
			});
				
		}
	});
	
}
