process_alert_window = function() {

	this.title = null;
	this.message = null;
	this.alertdiv = null;
	this.alerttitlediv = null;
	this.alertmessagediv = null;
	this.events = {};
	this.hide_timeout = 5; /* seconds */
	this.mouse_is_over = false;
	this.first_run = false;
	this.events['maximize'] = false;

	this.is_new_message = function(msg) {
		if (this.message !== msg)
			return true;
		return false;
	};

	this.set_title = function(title) {

		this.title = title;
		if (this.alerttitlediv === null)
			this.alerttitlediv = Ext.get('processAlertTitle');

		var translated = title;
		if (langArray[title] !== undefined)
			translated = langArray[title];

		this.alerttitlediv.dom.innerHTML = translated;
	};

	this.set_message = function(msg) {
		this.message = msg;
		if (this.alertmessagediv === null)
			this.alertmessagediv = Ext.get('processAlertDescr');

		var translated = msg;
		if (langArray[msg] !== undefined)
			translated = langArray[msg];
		this.alertmessagediv.dom.innerHTML = translated;
	};

	this.show = function() {
		if (process_alert_window.alertdiv === null) {
			process_alert_window.alertdiv = Ext.get('processAlert');
			process_alert_window.first_run = true;
		}

		if (process_alert_window.events['maximize']) {
			process_alert_window.alertdiv.removeCls('minimized');
			process_alert_window.alertdiv.animate({
				to: {
					height: process_alert_window.alertdiv.base_height
				}
			});
		} else {
			process_alert_window.alertdiv.setHeight('auto');
		}

		process_alert_window.alertdiv.show();

		if (process_alert_window.events['shrink'] != null)
			clearTimeout(process_alert_window.events['shrink']);
		if (process_alert_window.first_run) {
			process_alert_window.events['shrink'] = setTimeout(process_alert_window.shrink, process_alert_window.hide_timeout * 1000);
		}

	};

	this.shrink = function() {
		process_alert_window.events['maximize'] = true;
		if (process_alert_window.alertdiv.base_height === undefined) {
			process_alert_window.alertdiv.base_height = process_alert_window.alertdiv.getHeight();
		}

		process_alert_window.alertdiv.addCls('minimized');
		process_alert_window.alertdiv.animate({
			to: {
				height: 30
			}
		});
	};

	this.close = function() {
		process_alert_window.alertdiv.hide();
	};

	this.hide = function() {
		if (this.alertdiv === null)
			this.alertdiv = Ext.get('processAlert');
		this.alertdiv.hide();
		this.title = null;
		this.message = null;
	};

	this.mouse_over = function() {
		process_alert_window.first_run = false;

		if (process_alert_window.events['shrink'])
			clearTimeout(process_alert_window.events['shrink']);

		process_alert_window.events['show'] = setTimeout(process_alert_window.show, 150);

	}
	this.mouse_out = function() {

		if (process_alert_window.events['show'])
			clearTimeout(process_alert_window.events['show']);

		process_alert_window.events['shrink'] = setTimeout(process_alert_window.shrink, 150);
	}

};
process_alert_window = new process_alert_window();
