function createForm_DatabaseConfiguration(b,e) {
	
	// Get main window
	var win = Ext.getCmp('mainWindow');
	
	// Set title
	win.setTitle('OpMon Web Setup - MySQL Database Configuration');
	
	// Update buttons
	var leftBtn = Ext.getCmp('leftBtn');
	leftBtn.setText('Back');
	leftBtn.hide();
	var nextBtn = Ext.getCmp('rightBtn');
	nextBtn.setText('Next');
	if (myConfig.database) {
		nextBtn.enable();
		nextBtn.setHandler( createForm_InstallationType );
	} else {
		nextBtn.disable();
	}

	// Update panel content
	win.removeAll();
	var form = new Ext.FormPanel({
		bodyStyle:'padding: 18px 18px 10px 100px',
		defaultType: 'textfield',
		buttonAlign: 'center',
		url: '/opmon/wi/requests.php?action=wi_test_database_connection',
		labelWidth: 75,
		frame:true,
		width: 350,
		defaults: {width: 230},
		items: [{
				html: '<b>Enter with your database access credentials below:<b>',
				xtype: 'label'
			},{
				xtype: 'box',
				style: 'padding-bottom: 15px'
			},{
		       fieldLabel: 'User',
		       name: 'db_user',
		       allowBlank:false,
		       value: 'root'
		   },{
		       fieldLabel: 'Password',
		       name: 'db_pass',
		       inputType: 'password'
		   },{
		       fieldLabel: 'Server',
		       name: 'db_host',
		       value: 'localhost'
		   }
		],
		buttons: [
			{
				text: 'Test Database Connection',
				formBind: true,
				handler: function() {
					// Create mask
					var mask = new Ext.LoadMask( form.getEl(), { msg: 'Validating...' } );
					mask.show();
					form.getForm().submit({
						method: 'POST',
						//waitTitle: 'Testing Connection',
						//waitMsg: 'Connecting...',
						success: function() {
							mask.hide();
							Ext.Msg.show({
								title: 'Status',
								msg: 'MySQL Connection is OK! Click on "Next" button to proceed.',
								cls: 'x-panel',
								buttons: Ext.Msg.OK,
								icon: Ext.MessageBox.INFO,
								fn: function(btn,text) {
									if (btn == 'ok') {
										var nextBtn = Ext.getCmp('rightBtn');
										nextBtn.enable();
										nextBtn.setHandler( createForm_InstallationType );
										
										// Set database values
										myConfig.database = form.getForm().getFieldValues();
									}
								}
							});
						},
						failure: function(form,action) {
							mask.hide();
							obj = Ext.util.JSON.decode(action.response.responseText);
							Ext.Msg.show({
								title: 'Status',
								msg: obj.reason,
								buttons: Ext.Msg.OK,
								icon: Ext.MessageBox.ERROR
							});
							var nextBtn = Ext.getCmp('rightBtn');
							nextBtn.disable();
						}
					});
				}
			}
		]		
	});
	win.add(form);
	win.doLayout(); // Reload window content
}
