function createForm_InstallationType(b,e) {
	
	// Get main window
	var win = Ext.getCmp('mainWindow');
	
	// Set title
	win.setTitle('OpMon Web Setup - Installation Type');
	
	// Update buttons
	var leftBtn = Ext.getCmp('leftBtn');
	leftBtn.setText('Back');
	leftBtn.show();
	leftBtn.setHandler( createForm_DatabaseConfiguration );
	var nextBtn = Ext.getCmp('rightBtn');
	nextBtn.setText('Next');
	nextBtn.enable();

	// Update panel content
	win.removeAll();
	var form = new Ext.FormPanel({
		bodyStyle:'padding: 18px 18px 10px 15px',
		defaultType: 'radio',
		buttonAlign: 'center',
		labelWidth: 75,
		frame:true,
		width: 350,
		defaults: {width: 230},
		items: [{
			fieldLabel: '',
			checked: ((!myConfig.installType) || ((myConfig.installType) && (myConfig.installType == 'opmon'))) ? true : false,
			boxLabel: '<b>OpMon</b> - Start a new OpMon installation with some basic services being monitored. Suited for new installations only.',
			autoWidth: true,
			height: 50,
			name: 'installType',
			inputValue: 'opmon',
			handler: setInstallationType
		   },{
			fieldLabel: '',
			checked: ((myConfig.installType) && (myConfig.installType == 'nagios')) ? true : false,
			boxLabel: '<b>Nagios</b> - Import your Nagios&copy; configuration files. Use this option if you already have a working installation.',
			autoWidth: true,
			autoHeight: true,
			name: 'installType',
			inputValue: 'nagios',
			handler: setInstallationType
		   }
		]
	});
	win.add(form);
	win.doLayout(); // Reload window content
	
	// Set config default value
	if (myConfig.installType) {
		nextBtn.setHandler( (myConfig.installType == 'opmon') ? createForm_StartImport : createForm_NagiosConfig );
	} else {
		myConfig.installType = 'opmon';
		myConfig.installSteps = 4;
		nextBtn.setHandler( createForm_StartImport );
	}
		
}

function setInstallationType( checkbox, checked ) {
	
	if (checked) {
		myConfig.installType = checkbox.initialConfig.inputValue;
			
		var nextBtn = Ext.getCmp('rightBtn');
		nextBtn.setHandler( (myConfig.installType == 'opmon') ? createForm_StartImport : createForm_NagiosConfig );
		myConfig.installSteps = (myConfig.installType == 'opmon') ? 4 : 12;
	}
	
}