function createForm_NagiosConfig(b,e) {
	
	// Get main window
	var win = Ext.getCmp('mainWindow');
	
	// Set title
	win.setTitle('OpMon Web Setup - Nagios&copy; Configuration Files');
	
	// Update buttons
	var leftBtn = Ext.getCmp('leftBtn');
	leftBtn.setText('Back');
	leftBtn.show();
	leftBtn.setHandler( createForm_InstallationType );
	var nextBtn = Ext.getCmp('rightBtn');
	nextBtn.setText('Next');
	
	if (myConfig.nagiosConfig) {
		nextBtn.enable();
		nextBtn.setHandler( createForm_StartImport );
	} else {
		nextBtn.disable();
	}
	
	// Update panel content
	win.removeAll();
	var form = new Ext.FormPanel({
		bodyStyle:'padding: 18px 18px 10px 50px',
		defaultType: 'textfield',
		buttonAlign: 'center',
		url: '/opmon/wi/requests.php?action=wi_test_nagios_config_files',
		labelWidth: 140,
		frame:true,
		width: 350,
		defaults: {width: 300},
		items: [{
				html: '<b>Enter the full path (include the filename) to your configuration files below:<b>',
				xtype: 'label'
			},{
				xtype: 'box',
				style: 'padding-bottom: 15px'
			},{
				fieldLabel: 'nagios.cfg',
				name: 'nagios_config',
				allowBlank:false,
				value: '/usr/local/opmon/etc/opmon.cfg'
			},{
				fieldLabel: 'cgi.cfg',
				name: 'cgi_config',
				allowBlank:false,
				value: '/usr/local/opmon/etc/cgi.cfg'
			},{
				fieldLabel: 'Resources File (Optional)',
				name: 'resources_config'
			}
		],
		
		buttons: [
			{
				text: 'Verify files path',
				formBind: true,
				handler: function() {
					
					// Create mask
					var mask = new Ext.LoadMask( form.getEl(), { msg: 'Validating...' } );
					mask.show();
					
					form.getForm().submit({
						method: 'POST',
						//waitTitle: 'Verifying files',
						//waitMsg: 'Connecting...',
						success: function() {
							mask.hide();
							Ext.Msg.show({
								title: 'Status',
								msg: 'Configuration files appear to be OK. Click on "Next" button to proceed.',
								buttons: Ext.Msg.OK,
								icon: Ext.MessageBox.INFO,
								fn: function(btn,text) {
									if (btn == 'ok') {
										var nextBtn = Ext.getCmp('rightBtn');
										nextBtn.enable();
										nextBtn.setHandler( createForm_StartImport );
										
										// Set config files values
										myConfig.nagiosConfig = form.getForm().getFieldValues();
									}
								}
							});
						},
						failure: function(form,action) {
							mask.hide();
							Ext.Msg.show({
								title: 'Status',
								msg: 'Unable to find configuration files, please verify.',
								buttons: Ext.Msg.OK,
								icon: Ext.MessageBox.ERROR
							});
							var nextBtn = Ext.getCmp('rightBtn');
							nextBtn.disable();
						}
					});
				}
			}
		]		

		
		
		
	});
	win.add(form);
	win.doLayout(); // Reload window content
	
}