var taskUpdateLog = {};
var dataReader = {};
var dataStore = {};

function createForm_StartImport(b,e) {
	
	// Get main window
	var win = Ext.getCmp('mainWindow');
	
	// Set title
	win.setTitle('OpMon Web Setup - Import Process');
	
	// Update buttons
	var leftBtn = Ext.getCmp('leftBtn');
	leftBtn.setText('Back');
	leftBtn.show();
	if (myConfig.installType == 'opmon')
		leftBtn.setHandler( createForm_InstallationType );
	else
		leftBtn.setHandler( createForm_NagiosConfig );
	
	var nextBtn = Ext.getCmp('rightBtn');
	nextBtn.setText('Next');
	nextBtn.disable();

	// Shared Data reader and Data store
	dataReader = new Ext.data.JsonReader({
		root: 'rows',
		totalProperty: 'total',
		fields: [	{ name: 'time' },
						{ name: 'category'},
						{ name: 'desc'},
						{ name: 'status'}
		]
	});
	
	dataStore = new Ext.data.GroupingStore({
		id: 'groupStore',
		reader: dataReader,
		remoteSort: false,
		sortInfo: { field: 'time', direction: 'ASC' },
		groupField:'category',
		proxy: new Ext.data.HttpProxy({
			url: '/opmon/wi/requests.php?action=wi_get_import_log',
			method: 'POST',
			timeout: 180000,
			disableCaching: true
		})
	});
	
	
	// Update panel content
	win.removeAll();
	var form = new Ext.FormPanel({
		bodyStyle:'padding: 5px 18px 18px 18px',
		buttonAlign: 'center',
		labelWidth: 150,
		frame:true,
		width: '100%',
		//defaults: {width: 300},
		items: [
			{
				layout: 'column',
				items: [
					{
						columnWidth: .4,
						layout: 'form',
						items:
							[
								{
									xtype: 'button',
									text: 'Start Import',
									align: 'center',
									handler: start_process,
									width: '90%',
									id: 'importBtn'
								}
							]
					},	{
						columnWidth: .6,
						layout: 'form',
						items:
							[
								{
									id: 'descText',
									xtype: 'label',
									text: 'We are ready to start the import process. To proceed, click on "Start Import" button.'
								}
							]
					}
				]
			},
				new Ext.Panel({
					style: {
						marginTop: '10px',
						backgroundColor: '#FFFFFF'
					},
					autoWidth: true,
					autoScroll: true,
					height: 150,
					title: 'Import Log',
					id: 'gridPanel',					
					items: [
						new Ext.grid.GridPanel({
							width: '100%',
							autoHeight: true,
							autoScroll: true,
							store: dataStore,
							columns: [
								{ header: 'Category', hidden: true, sortable: false, dataIndex: 'category', menuDisabled: true, resizable: false },
								{ header: 'Time', width: 120, sortable: false, dataIndex: 'time', menuDisabled: true, resizable: false },
								{ header: 'Description', width: 280, sortable: false, dataIndex: 'desc', menuDisabled: true, resizable: false },
								{ header: 'Status', width: 100, sortable: false, dataIndex: 'status', menuDisabled: true, resizable: false }
							],
							view: new Ext.grid.GroupingView({
								showGroupName: false,
								startCollapsed: true,
								groupTextTpl: '{text} ({[values.rs.length]} {[values.rs.length > 1 ? "Actions" : "Action"]})'
							})
						})
					]
				}),
			new Ext.ProgressBar({
				text: 'Ready',
				id: 'importRunning',
				height: 20,
				style: {
					marginTop: '5px',
					backgroundColor: '#FFFFFF'
				}
			})
		]
	});
	win.add(form);
	win.doLayout(); // Reload window content
	
}

function start_process() {
	
	var importBtn = Ext.getCmp('importBtn');
	importBtn.disable();
	
	var leftBtn = Ext.getCmp('leftBtn');
	leftBtn.disable();
	
	var rightBtn = Ext.getCmp('rightBtn');	
	
	var myMask = new Ext.LoadMask('gridPanel', {msg:"Please wait..."});
	myMask.show();
	
	Ext.getCmp('importRunning').updateProgress(0,'0% Completed');
		
	Ext.Ajax.request({
		url: '/opmon/wi/requests.php?action=wi_start_import_process',
		method:	'post',
		params: { config: Ext.util.JSON.encode(myConfig) },
		success: function( result, request ) {
			
			dataStore.on('load', function(store,records,options) {
				var ret = dataReader.jsonData;
				
				// Update progress bar
				var step = parseInt(ret.lastStep);
				var perc = parseInt((step*100)/myConfig.installSteps);
				var cur = perc/100;
				var pBar = Ext.getCmp('importRunning');
				pBar.updateProgress(cur,perc+'% Completed');
				
				if (!ret.running) {
					myMask.hide();
					importBtn.enable();
					leftBtn.enable();
					taskUpdateLog.stopAll();
					pBar.updateText("Done!");
					
					// Check for errors
					var hasErrors = 0;
					for(i=0;i<ret.rows.length;i++) {
						var o = ret.rows[i];
						if (o.status == 'Error') {
							hasErrors = 1;
							break;
						}
					}
					
					if (hasErrors) {
						Ext.Msg.show({
							title: 'Status',
							msg: 'An error had occurred during Import Process. Plese refer to import log before you continue.',
							buttons: Ext.Msg.OK,
							icon: Ext.MessageBox.ERROR
						});
						rightBtn.disable();
					} else {
						Ext.Msg.show({
							title: 'Status',
							msg: 'Import was finished! Click on "Next" button to proceed.',
							buttons: Ext.Msg.OK,
							icon: Ext.MessageBox.INFO
						});
						rightBtn.enable();
						rightBtn.setHandler(createForm_WaitScript);
					}
					
				}

			});
			
			dataStore.load();
			taskUpdateLog = new Ext.util.TaskRunner();
			taskUpdateLog.start({
					interval: 3000,
					run: function() {
						dataStore.load();
					}
			});
		}
	});
}