function createForm_WaitScript(b,e) {
	
	// First step complete
	Ext.Ajax.request({
		method: 'POST',
		url: '/opmon/wi/requests.php?action=wi_1st_step_complete',
		params: { config: Ext.util.JSON.encode(myConfig) }
	});
	
	// Get main window
	var win = Ext.getCmp('mainWindow');
	
	// Set title
	win.setTitle('OpMon Web Setup - Waiting Server Side Script Installer');
	
	// Update buttons
	var leftBtn = Ext.getCmp('leftBtn');
	leftBtn.setText('Back');
	leftBtn.setHandler(createForm_StartImport);
	leftBtn.disable();
	var nextBtn = Ext.getCmp('rightBtn');
	nextBtn.setText('Next');
	nextBtn.disable();

	// Update panel content
	win.removeAll();
	var form = new Ext.FormPanel({
		bodyStyle:'padding: 25px 25px 10px 25px',
		defaultType: 'textfield',
		buttonAlign: 'center',
		labelWidth: 75,
		frame:true,
		width: 350,
		//defaults: {width: 230},
		items: [
			{
				html: 'The first part of the installation process is complete! To perform the last settings and export your new configuration, you must access the server, as root, and run the following script:',
				xtype: 'label',
				autoHeight: true
			},{
				html: '<br><br><b>&nbsp;&nbsp;&nbsp;/usr/local/opmon/utils/installation/opinstall.pl</b><br><br>',
				xtype: 'label',
				autoHeight: true
			},{
				html: 'The installer will be blocked waiting for the execution of this script. Please do not close this window.<br><br>',
				xtype: 'label',
				autoHeight: true
			},{
				xtype: 'label',
				html: '<b>Current Status</b>:&nbsp;',
				id: 'currentStatus'
			},
			new Ext.Panel({
				id: 'scriptRunning',
				height: 35,
				border: true,
				bodyBorder: true,
				style: { border: '1px solid #D0D0D0' },
				html: '&nbsp;'
			})
		]
	});
	
	win.add(form);
	win.doLayout(); // Reload window content
	
	var myMask = new Ext.LoadMask('scriptRunning', {msg:"Waiting script..."});
	myMask.show();
	
	taskUpdateLog = new Ext.util.TaskRunner();
	taskUpdateLog.start({
				interval: 3000,
				run: function() {
					Ext.Ajax.request({
						mehod: 'POST',
						url: '/opmon/wi/requests.php?action=wi_waiting_script',
						success: function(result,request) {
							var ret = Ext.util.JSON.decode(result.responseText);
							if (ret.completed) {
								myMask.hide();
								taskUpdateLog.stopAll();
								
								// Update current status message
								Ext.getCmp('scriptRunning').hide();
								Ext.get('currentStatus').dom.innerHTML += "Done!";
								
								Ext.Msg.show({
									title: 'Status',
									msg: 'Server Side Script Installer was finished! Click on "Next" button to proceed.',
									buttons: Ext.Msg.OK,
									icon: Ext.MessageBox.INFO
								});
								leftBtn.enable();
								nextBtn.enable();
								nextBtn.setHandler(createForm_InstallComplete);
								
								// Set the script completed
								myConfig.scriptCompleted = true;
								
							}
						}
					});
				}
	});
	
}